package service

import (
	"fmt"

	"be.ems/src/modules/network_data/model"
	"be.ems/src/modules/network_data/repository"
)

// 实例化数据层 CDREventIMS 结构体
var NewCDREventIMS = &CDREventIMS{
	cdrEventIMSRepository: repository.NewCDREventIMS,
}

// CDREventImpl CDR会话事件IMS 服务层处理
type CDREventIMS struct {
	cdrEventIMSRepository *repository.CDREventIMS // CDR会话事件数据信息
}

// SelectPage 根据条件分页查询
func (r *CDREventIMS) SelectPage(querys model.CDREventIMSQuery) map[string]any {
	return r.cdrEventIMSRepository.SelectPage(querys)
}

// DeleteByIds 批量删除信息
func (r *CDREventIMS) DeleteByIds(cdrIds []string) (int64, error) {
	// 检查是否存在
	ids := r.cdrEventIMSRepository.SelectByIds(cdrIds)
	if len(ids) <= 0 {
		return 0, fmt.Errorf("not data")
	}

	if len(ids) == len(cdrIds) {
		rows := r.cdrEventIMSRepository.DeleteByIds(cdrIds)
		return rows, nil
	}
	// 删除信息失败！
	return 0, fmt.Errorf("delete fail")
}
